#ifndef MGCOSY_H
#define MGCOSY_H

#ifndef ROOT_TGFrame
#include <TGFrame.h>
#endif

//#ifndef ROOT_TOrdCollection
//#include <TOrdCollection.h>
//#endif

#ifndef ROOT_TGWidget
#include <TGWidget.h>
#endif

#include <iostream.h>

class TGLabel;
class TGPopupMenu;
class TGMenuBar;
class TGHorizontal3DLine;
class TGLayoutHints;
class MsgQueue;
class TIterator;
class MGImage;
class MGList;
class MGCoordinates;

class MGCosy : public TGMainFrame
{
private:

    //
    // Create a main frame with a number of different buttons.
    //
    TGLayoutHints *fLayMenuBar;
    TGLayoutHints *fLayMenuItem;

    MGList        *fList;

    TGLabel      **fLabel1;
    TGLabel      **fLabel2;
    TGLabel      **fLabel3;

    MGCoordinates *fCoord;

    MsgQueue      *fQueue;

    void CreateMenu();
    void CreateLabel();
    void CreateButton();

public:
    MGCosy(MsgQueue *q, const TGWindow *p, UInt_t w, UInt_t h);
    ~MGCosy();

    void CloseWindow();

    TGLabel **GetLabel1() { return fLabel1; }
    TGLabel **GetLabel2() { return fLabel2; }
    TGLabel **GetLabel3() { return fLabel3; }

    Bool_t ProcessMessage(Long_t msg, Long_t mp1, Long_t mp2);
};

#endif


